Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
Civil 3D API / Re: Стили по умолчанию
« Последний ответ от Алексей Терно 21-09-2018, 03:34:32 »
Вы прав
Кто проверит насколько я прав (писал на коленке без Civil 3D):
Вы правы на 100% - работает ))
Спасибо!
2
Revit API / Re: Очистка ненужных семейств
« Последний ответ от Александр Ривилис 21-09-2018, 00:56:09 »
2)Или достаточно сделать к
    что-то вроде команды _purge как в Autocad.
30-секунд на поиск в интернете: https://knowledge.autodesk.com/ru/support/revit-products/learn-explore/caas/CloudHelp/cloudhelp/2017/RUS/Revit-Model/files/GUID-7CCE9C4D-53DB-4312-A130-5E16D6837C8F-htm.html
А тут как сделать кодом: https://gitlab.com/MattTaylor/RevitPurgeUnused
3
Тут есть интересная информация по этому поводу: http://thebuildingcoder.typepad.com/blog/2016/11/using-other-events-to-execute-add-in-code.html
4
Подозреваю, что ты хочешь вызвать этот код из другого потока, что делать нельзя. Тут пояснения: https://forums.autodesk.com/t5/revit-api-forum/pass-externalcommanddata-to-a-called-class/m-p/6008033
5
Revit API / Очистка ненужных семейств
« Последний ответ от Алексей (IdeaSoft) 21-09-2018, 00:14:41 »
Столкнулся с такой ситуацией. Есть модель, которая использует не все семейства, а точнее существенно малое количество элементов из семейств, которые содержит файл. Потому как файл RVT  очень большой и занимает 50 мб. Я полагаю что в файле можно очистить те семейства, которые не использует модель.
Как это сделать:
1)Нужно писать плагин?
2)Или достаточно сделать к
    что-то вроде команды _purge как в Autocad.
6
Ну или как альтернатива сдвинуть все модель на нужное мне смещение. И еще нужно повернуть систему координат на угол.
Может это и сделать? Только поворачивать не систему координат, а модель?
Для переноса можно воспользоваться методом:
Autodesk.Revit.DB.ElementTransformUtils.MoveElements
Для поворота: Autodesk.Revit.DB.ElementTransformUtils.RotateElements

8
Разве убрав "?" что то изменится?
1. Какое отношение это имеет к данному форуму?
2. Можешь проверить самостоятельно.
9
AutoCAD .NET API / как понять "*?" в регулярных выражениях?
« Последний ответ от simson43 20-09-2018, 22:39:23 »
наткнулся на такой код

Код - C# [Выбрать]
  1. str = Regex.Replace(str, @"\\[^\\]*?;", "");

*- ноль и более раз повторения
а следом
? - ноли или один раз
как это интерпретировать?

Разве убрав "?" что то изменится?
10
AutoCAD .NET API / Re: как передать объект в метод
« Последний ответ от simson43 20-09-2018, 22:29:40 »
simson43,
Только по этому коду не понятно нужно ли OpenMode.ForWrite или было бы достаточно OpenMode.ForRead, так как в нём этот примитив не редактируется.
будет редактироваться, это не весь код
Страницы: [1] 2 3 ... 10